﻿package sudoku {
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.ProgressEvent;

	public class LittleProgressBar extends Sprite {
		private var progBar:Shape;
		private var progBox:Shape;
		private var _width;
		private var _height;
		
		// =========================================================
		//	Progress Bar
		// =========================================================
		public function LittleProgressBar(xpos:Number, ypos:Number, w:Number, h:Number):void {
			x = xpos;
			y = ypos;
			_width = w;
			_height = h;
			progBar = new Shape(); 
			progBar.graphics.beginFill(0xff0000);	// red
            progBar.graphics.drawRect(0, 0, 2, h);
            progBar.graphics.endFill();
            addChild(progBar);

			progBox = new Shape(); 
            progBox.graphics.lineStyle(1, 0x000000);
            progBox.graphics.drawRect(0, 0, w, h);
            addChild(progBox);
		}
		
		public function setProgressBar(val:Number, max:Number):void {
			var frac:Number = val / max;
			if (frac > .95) {
				frac = 1;
			}
			var ndx:uint = getChildIndex(progBar);
			var oldBar:Shape = progBar;
			progBar = new Shape(); 
			progBar.graphics.beginFill(0xff0000);
            progBar.graphics.drawRect(0, 0, _width*frac, _height);
            progBar.graphics.endFill();
			addChildAt(progBar, ndx);
			removeChild(oldBar);
		}
	}
}